> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a posted transaction

> Get a posted transaction by its uuid




## OpenAPI

````yaml openapi.json get /transactions/posted/{id}
openapi: 3.0.3
info:
  description: >-
    This is the official reference documentation for Synctera APIs. If you need
    something specific or have a question, <a class='text-blue-600'
    href='https://synctera.com/contact-us' target='_blank'
    rel='noreferrer'>contact us</a>.</p>
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: Synctera API
  version: 0.213.0
servers:
  - description: Sandbox (no real world financial impact)
    url: https://api-sandbox.synctera.com/v0
  - description: Production
    url: https://api.synctera.com/v0
security:
  - bearerAuth: []
tags:
  - description: Lookup merchant information
    name: Merchants
  - description: Requests to generate simulated webhooks
    name: Card Webhook Simulations
  - description: >-
      Account programs define configurations for payment rails and transaction
      capabilities across different account types.
    name: Account Programs
  - description: Simulate receiving ACH transactions and returns
    name: ACH Transaction Simulations
  - description: Requests for risk evaluation and decisioning
    name: Risk Evaluations
  - description: Requests to link and manage External Cards
    name: External Cards
  - description: |
      The disclosures resource is used to track the status of disclosures and
      ensure that all parties have been shown the necessary disclosures to meet
      regulatory obligations.
    name: Disclosures
  - description: Create and manage Cash Order and Cash Deposit transfers
    name: Cash Orders and Deposits (alpha)
  - description: Requests to initiate customer verification.
    name: KYC Verification (deprecated)
  - description: Request to create and manage users
    name: Users
  - description: See balance history
    name: BalanceHistory
  - description: >-
      Migration mappings associate resources from an old tenant identity with a
      new tenant identity.
    name: Migration Mappings
  - description: |
      The External Account resource is used for managing links to accounts
      that operate outside of the Synctera ecosystem.
    name: External Accounts
  - description: Requests to create and manage account products, including fees, interest.
    name: Account Products
  - description: Requests to create and manage webhooks
    name: Webhooks
  - description: Create and manage documents.
    name: Documents
  - description: >-
      Create and manage same currency and multi-currency international wire
      transfers
    name: International Wires (alpha)
  - description: Requests for transaction risk detection
    name: Transaction risk
  - description: >-
      Used to configure bank accounts for which synctera accounts are considered
      a "subledger" to
    name: Bank Account
  - description: Request to create and manage party groups and party group members
    name: Party Groups
  - description: Requests to manage addresses
    name: Addresses
  - description: Requests to manage monitoring subscriptions and alerts for customers.
    name: Monitoring
  - description: Requests to search and manage compliance searches
    name: Compliance Searches
  - description: Requests to create and manage customers
    name: Customers
  - description: |
      The internal account resource is used for managing links to internal
      accounts where the funds are managed by integrators.
    name: Internal Accounts
  - description: Create and manage spending controls
    name: Spend Controls
  - description: Retrieve user identity information
    name: Identity
  - description: Requests to manage banks
    name: Banks
  - description: |
      The Disclosures resource is used to track the status of disclosures and
      ensure that customers have been shown the necessary disclosures to meet
      regulatory obligations.
    name: Disclosures (deprecated)
  - description: Create and manage wire transfers
    name: Wires
  - description: Requests to issue and manage Cards
    name: Cards
  - description: Request to create and manage edd
    name: Trust
  - description: Request to enroll, renew, or cancel watchlist monitors
    name: Watchlist (deprecated)
  - description: Endpoints for modifying or fetching posting dates
    name: Posting Dates
  - description: Transaction lines API
    name: transactions
  - description: Request to create and manage accounts
    name: Accounts
  - description: Requests to create and manage notes
    name: Notes
  - description: Account Template
    name: Account Templates
  - description: API for effective balances
    name: effective_balances
  - description: Requests to create and manage personal ID configurations
    name: Personal ID Configuration
  - description: >
      A natural person (individual human) that is relevant to the Synctera
      platform in some way: e.g. a personal customer or a director/officer/owner
      of a business.
    name: Persons
  - description: >
      Represents the relationships between parties. A relationship can exist
      between personal customers, business customers, or non-customer
      persons/organizations.
    name: Relationships
  - description: >
      A legal entity (corporation, partnership, etc.) that is relevant to the
      Synctera platform in some way: a business customer or some other
      organization that has an ownership share in such a business customer.
    name: Businesses
  - description: Request to create and manage payment_schedules
    name: Cronut
  - description: Requests to manage partners
    name: Partners
  - description: Request to create and manage deposits using remote deposit capture
    name: Remote Check Deposit
  - description: Requests to create and manage API keys
    name: API Keys
  - description: Requests to create and manage ban rules
    name: Ban Rules
  - description: Admin API for Middesk configuration using the tenants API keys.
    name: Middesk
  - description: Request to create and manage exclusions
    name: Stately
  - description: Request to create and manage partner configurations
    name: Quickstart
  - description: Manage contacts for bank and fintech partners
    name: Contacts
  - description: Create and manage transactions
    name: Transactions
  - description: Request to create and manage rdc configurations
    name: RDC Config
  - description: Create and manage holds
    name: Hold
  - description: Requests to create and manage roles
    name: Roles
  - description: Simulate receiving Wire transactions and returns
    name: Wire Transaction Simulations
  - description: Requests to create licenses
    name: Licenses
  - description: Requests to Admins to grant permissions to user
    name: Request Permissions
  - description: Configure vendor secrets for egress requests
    name: Egress Gateway Vendor Secret CRUD API
  - description: Requests to screen parties against sanctions watchlists
    name: Sanctions Screening
  - description: Create and manage payments
    name: ACH
  - description: Requests to calculate and manage CRR
    name: CRR
  - description: Requests to search financial institutions
    name: Institutions (Beta)
  - description: Create and manage tenant configurations
    name: Tenant Configs
  - description: Create and manage sweep configurations
    name: Configs
  - description: >
      Represents the compliance rules that are used to verify certain kinds of
      money movement.
    name: Compliance Rules
  - description: Configure webhook secrets for egress requests
    name: Egress Gateway Webhook Secret CRUD API
  - description: Create and manage transactions
    name: Transactions (internal)
  - description: History
    name: History
  - description: Create and manage EFT Canada transfers
    name: EFT Canada (Beta)
  - description: Requests to generate simulated transactions
    name: Card Transaction Simulations
  - description: Requests to initiate customer verification.
    name: KYC/KYB Verifications
paths:
  /transactions/posted/{id}:
    summary: Get posted transaction
    description: |
      A posted transaction represents a completed money movement.
    get:
      tags:
        - Transactions
      summary: Get a posted transaction
      description: |
        Get a posted transaction by its uuid
      operationId: getPostedTransactionByID
      parameters:
        - $ref: '#/components/parameters/id1'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/posted_transaction'
          description: Posted Transaction
        '400':
          $ref: '#/components/responses/bad_request'
        '401':
          $ref: '#/components/responses/unauthorized'
        '403':
          $ref: '#/components/responses/forbidden'
        '422':
          $ref: '#/components/responses/unprocessable_entity'
        '500':
          $ref: '#/components/responses/internal_server_error'
components:
  parameters:
    id1:
      description: Transaction ID
      in: path
      name: id
      required: true
      schema:
        example: 472341e0-ea3e-41a1-96bc-fd0185e1eac8
        format: uuid
        type: string
  schemas:
    posted_transaction:
      properties:
        created:
          description: The creation date of the transaction
          format: date-time
          type: string
        data:
          $ref: '#/components/schemas/posted_transaction_data'
        disputes:
          description: >-
            The set of disputes related to this transaction. Since a dispute can
            be for a partial amount of a transaction, a single transaction can
            be involved in multiple disputes.
          items:
            $ref: '#/components/schemas/transaction_dispute'
          type: array
        effective_date:
          description: >-
            The "effective date" of a transaction. This may be earlier than
            posted_date in some cases (for example, a transaction that occurs on
            a Saturday may not be posted until the following Monday, but would
            have an effective date of Saturday)
          format: date-time
          type: string
        enhanced_transaction:
          $ref: '#/components/schemas/enhanced_transaction_response'
        id:
          format: int64
          type: integer
        idemkey:
          description: The idempotency key used when initially creating this transaction.
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          type: string
        info_only:
          description: >-
            Whether or not this transaction represents a purely informational
            operation or an actual money movement
          type: boolean
        lead_mode:
          description: >-
            Whether or not this transaction was created operating in "lead
            ledger" mode
          type: boolean
        posted_date:
          description: >-
            The date the transaction was posted. This is the date any money is
            considered to be added or removed from an account.
          format: date-time
          type: string
        reference_id:
          description: >-
            An external ID provided by the payment network to represent this
            transaction. This will always be null for internal transfers.
          nullable: true
          type: string
        settlement_date:
          description: >-
            The date the transaction was settled according to Synctera's
            platform. Generally, this can be interpretted the date the
            transaction was actually processed and settlement by the payment
            network.
          format: date
          type: string
        status:
          type: string
        subtype:
          description: >-
            The specific transaction type. For example, for `ach`, this may be
            "outgoing_debit".
          type: string
        tenant:
          $ref: '#/components/schemas/tenant_id'
        transaction_time:
          description: The time the transaction occurred.
          format: date-time
          type: string
        type:
          description: The general type of transaction. For example, "card" or "ach".
          type: string
        updated:
          description: The date the transaction was last updated
          format: date-time
          type: string
        uuid:
          description: The unique identifier of the transaction.
          format: uuid
          type: string
      required:
        - created
        - data
        - effective_date
        - id
        - idemkey
        - info_only
        - lead_mode
        - posted_date
        - reference_id
        - status
        - subtype
        - tenant
        - transaction_time
        - type
        - updated
        - uuid
      title: A posted transaction
      type: object
    posted_transaction_data:
      properties:
        external_data:
          $ref: '#/components/schemas/external_data'
        force_post:
          description: Whether or not the hold was forced (spending controls ignored)
          type: boolean
        hold_id:
          description: >-
            The uuid of the hold (pending transaction) that this transaction
            originated from, if any.
          format: uuid
          type: string
        lines:
          description: >-
            The set of accounting entries associated with this transaction. For
            example, a debit to a customer account will have a corresponding
            credit in a general ledger account.
          items:
            $ref: '#/components/schemas/transaction_line1'
          type: array
        memo:
          description: A short note to the recipient
          type: string
        metadata:
          nullable: true
          type: object
        original_trx:
          description: >-
            The "original" transaction that this transaction is related to. This
            is only populated in the case of reversed transactions.
          format: uuid
          type: string
        parent_trx:
          description: >-
            The "parent" transaction that this transaction is related to. This
            is only populated in the case of scheduled transactions.
          format: uuid
          type: string
        risk_info:
          $ref: '#/components/schemas/risk_info'
        user_data:
          $ref: '#/components/schemas/user_data'
        vendor_info:
          $ref: '#/components/schemas/transaction_vendor_info'
      required:
        - force_post
        - lines
        - memo
        - metadata
      type: object
    transaction_dispute:
      properties:
        created:
          description: The creation time of the dispute
          format: date-time
          type: string
        external_case_reference:
          description: >-
            The external case number or id for the dispute (eg: from a vendor
            such as Marqeta), if one exists.
          type: string
        id:
          description: The unique identifier of the dispute.
          format: uuid
          type: string
        internal_case_reference:
          description: >-
            The internal case number or id for the dispute in the Synctera
            platform, if one exists.
          type: string
        status:
          enum:
            - ARBITRATION
            - CASE_LOST
            - CASE_OPEN
            - CASE_WON
            - CHARGEBACK_INITIATED
            - NETWORK_REJECTED
            - PREARBITRATION
            - REPRESENTMENT
          type: string
        updated:
          description: The time the dispute was last updated
          format: date-time
          type: string
      required:
        - created
        - id
        - status
        - updated
      type: object
    enhanced_transaction_response:
      description: >-
        Financial data that has been refined by cleansing, categorizing and
        adding metadata.

        For example, inconsistencies in raw transaction data that were
        introduced via data aggregation are removed, transactions are
        categorized into groups such as "groceries" or utilities", and metadata
        (such as merchant names or location and timing details) are added for
        clarity.
      type: object
    tenant_id:
      description: >
        The id of the tenant containing the resource. This is relevant for
        Fintechs that have multiple workspaces.
      example: abcdef_ghijkl
      type: string
    error:
      description: >-
        Synctera error responses in API v0 follow [RFC
        7807](https://datatracker.ietf.org/doc/html/rfc7807). Following that
        standard, the field for a machine-readable "error code" in API v0 is
        `type`.

        In our future API v1, we are phasing out RFC 7807 and adopting a custom
        error format. That format will be documented in our API v1 spec. But you
        may see some v0 error responses with a machine-readable `code` field
        while we are making the transition from v0 to v1.
      properties:
        code:
          description: >-
            An optional “sneak preview” of our future API v1 error responses.
            This is provided to give integrators a chance to work with our
            future error codes. Error codes for the same error may change
            between v0 and v1.
          example: BAD_REQUEST_BODY
          type: string
        detail:
          description: |
            A human-readable string explaining this particular error.
          example: 'missing required fields: first_name, dob'
          type: string
        status:
          description: the HTTP status code for this response
          example: 400
          type: integer
        title:
          description: >
            A human-readable string for this general category of error, which
            corresponds 1-to-1 with error types (`title` is the human-readable
            version of `type`). There can be multiple distinct titles for the
            same HTTP status code, and the same `title` can result in many
            different `detail` strings.

            This field will be removed in API v1.
          example: Bad Request Body
          type: string
        type:
          description: >
            A machine-readable string that identifies the error for programmatic
            use. This is a URI, i.e. a globally unique identifier. It is _not_
            necessarily a URL, so do not expect it to resolve to a web page. You
            can use this whole string as an error code, or just everything after
            the last slash.

            This field will be removed in API v1.
          example: https://dev.synctera.com/errors/bad-request-body
          type: string
      title: Standard error response (RFC 7807 problem report)
      type: object
    external_data:
      description: >-
        an unstructured json blob representing additional transaction
        information supplied by the integrator.
      nullable: true
      type: object
    transaction_line1:
      properties:
        account_id:
          description: The account uuid associated with this transaction line
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          type: string
        account_no:
          description: The account number associated with this transaction line
          type: string
        amount:
          description: The amount (in cents) of the transaction
          format: int64
          type: integer
        avail_balance:
          description: >-
            The account "available balance" at the point in time this (to be
            deprecated) transaction was posted
          format: int64
          type: integer
        available_balance:
          description: >-
            The account "available balance" at the point in time this
            transaction was posted
          format: int64
          type: integer
        balance:
          description: The account balance at the point in time this transaction was posted
          format: int64
          type: integer
        created:
          description: The creation date of the transaction
          format: date-time
          type: string
        currency:
          description: ISO 4217 alphabetic currency code of the transfer amount
          type: string
        dc_sign:
          $ref: '#/components/schemas/dc_sign'
        is_fee:
          description: Whether or not this line is considered a fee
          type: boolean
        is_gl_acc:
          description: Whether or not this line represents a GL account
          type: boolean
        is_offset:
          description: Whether or not this line is considered the "offset" line
          type: boolean
        is_primary:
          description: Whether or not this line is considered the "primary" line
          type: boolean
        meta:
          nullable: true
          type: object
        network:
          description: The network this transaction is associated with
          type: string
        related_line:
          type: integer
        seq:
          type: integer
        sweep_agg_id:
          description: The sweep aggregation that this line is mapped to.
          format: uuid
          type: string
        tenant:
          $ref: '#/components/schemas/tenant_id'
        updated:
          description: The date the transaction was last updated
          format: date-time
          type: string
        uuid:
          format: uuid
          type: string
      required:
        - account_id
        - account_no
        - amount
        - avail_balance
        - available_balance
        - balance
        - created
        - currency
        - dc_sign
        - is_fee
        - is_gl_acc
        - is_offset
        - is_primary
        - meta
        - network
        - related_line
        - seq
        - tenant
        - updated
        - uuid
      type: object
    risk_info:
      description: >-
        Information received by the transaction risk/fraud service related to
        this transaction
      nullable: true
      type: object
    user_data:
      description: >-
        An unstructured JSON blob representing additional transaction
        information specific to each payment rail.
      nullable: true
      type: object
    transaction_vendor_info:
      description: Vendor information for external transactions
      properties:
        vendor_data:
          $ref: '#/components/schemas/transaction_vendor_data'
        vendor_type:
          $ref: '#/components/schemas/transaction_vendor_type'
      required:
        - vendor_data
        - vendor_type
      type: object
    dc_sign:
      description: The `dc_sign` represents the direction money was moved.
      enum:
        - credit
        - debit
      type: string
    transaction_vendor_data:
      description: Vendor-specific data
      properties:
        loanpro:
          $ref: '#/components/schemas/transaction_loanpro_vendor_data'
      type: object
    transaction_vendor_type:
      description: The type of vendor associated with this transaction
      enum:
        - LOANPRO
      type: string
    transaction_loanpro_vendor_data:
      properties:
        bucket_id:
          description: LoanPro bucket ID
          format: int64
          type: integer
        loc_id:
          description: LoanPro line of credit account ID
          format: int64
          type: integer
        swipe_id:
          description: LoanPro Secure Payments swipe UUID
          format: uuid
          type: string
        transaction_id:
          description: LoanPro LMS transaction ID
          format: int64
          type: integer
        transaction_type:
          $ref: '#/components/schemas/loanpro_transaction_type'
      type: object
    loanpro_transaction_type:
      description: The LoanPro transaction  type this maps  to
      enum:
        - CHARGE
        - CREDIT
        - FINANCE_CHARGE
        - PAYMENT
        - SWIPE
      type: string
  responses:
    bad_request:
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/error'
      description: BadRequest
    unauthorized:
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unauthorized
    forbidden:
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/error'
      description: Forbidden error
    unprocessable_entity:
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unprocessable entity request response
    internal_server_error:
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/error'
      description: Internal server error
  securitySchemes:
    bearerAuth:
      bearerFormat: api_key
      scheme: bearer
      type: http

````